Magick::colorizeImage Class Reference

`#include <STL.h>`

## Public Member Functions

| colorizeImage (const unsigned int opacityRed_, const unsigned int opacityGreen_, const unsigned int opacityBlue_, const Color &penColor_)
| colorizeImage (const unsigned int opacity_, const Color &penColor_)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 214 of file STL.h.

## Constructor & Destructor Documentation

Magick::colorizeImage::colorizeImage | ( | const unsigned int | opacityRed_,
|  | const unsigned int | opacityGreen_,
|  | const unsigned int | opacityBlue_,
|  | const Color & | penColor_
| ) |  |

Definition at line 175 of file STL.cpp.

Magick::colorizeImage::colorizeImage | ( | const unsigned int | opacity_,
|  | const Color & | penColor_
| ) |  |

Definition at line 185 of file STL.cpp.

## Member Function Documentation

void Magick::colorizeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 193 of file STL.cpp.

References Magick::Image::colorize().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp